Subject: Re: wxmaxima missing lots of toolbar icons

From: Chris Marusich <[email-masked]>
Date: Sat, 02 Apr 2016 12:01:00 -0700

Hi,

I've tried installing wxmaxima on my GuixSD (version 0.10.0) laptop, and
all the icons seem to be showing up correctly for me by default.

I think the hicolor icons are provided by the package
hicolor-icon-theme:

--8<---------------cut here---------------start------------->8---
$ guix package --search=hicolor
name: hicolor-icon-theme
version: 0.12
outputs: out
systems: x86_64-linux i686-linux armhf-linux mips64el-linux
dependencies: 
location: gnu/packages/gnome.scm:641:2
homepage: http://icon-theme.freedesktop.org/releases/
license: GPL 2
synopsis: Freedesktop icon theme
description: Freedesktop icon theme.
--8<---------------cut here---------------end--------------->8---

Is this package installed on your system?  Also, are your XDG
environment variables set correctly?  See the following email thread,
which seems related to your issue:

https://lists.gnu.org/archive/html/guix-devel/2016-01/msg00764.html

I hope that helps.

-- 
Chris